Bug 1288812 - Build epel6 branch
Build epel6 branch
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-parsedatetime (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michele Baldessari
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1288744
  Show dependency treegraph
 
Reported: 2015-12-06 03:22 EST by Nick
Modified: 2018-04-30 18:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick 2015-12-06 03:22:37 EST
This is required for the official reference letsencrypt client in EL6. Waiting for branch to be created by Fedora.
Comment 1 Michele Baldessari 2015-12-07 09:25:47 EST
epel6 branch requested
Comment 2 Itamar Reis Peixoto 2015-12-10 06:17:08 EST
(In reply to Nick from comment #0)

to speed up the process, I think we should put an updated srpm thats builds en epel6 , I will have time during holydays, if you're more fast than me, please do it.
Comment 3 Michele Baldessari 2016-02-09 05:58:23 EST
Ping. What is the state for this one?
Comment 4 Robert Buchholz 2016-02-11 13:54:52 EST
Upstream claims the package is only compatible with Python 2.7 or later. It seems the source is 2.6 compatible (syntax), but tests fail due to 2.6's unittest missing SkipTest.

The tests are only skipped because PyICU is missing though. Unfortunately, the PyICU version in EL6 is not new enough for these tests.

By the way, when adding PyICU to parsedatetime's rawhide spec as a build dependency, several test start failing as well.
Comment 5 Matěj Cepl 2016-09-12 14:17:27 EDT
(In reply to Robert Buchholz from comment #4)
> Upstream claims the package is only compatible with Python 2.7 or later. It
> seems the source is 2.6 compatible (syntax), but tests fail due to 2.6's
> unittest missing SkipTest.

There is python-unittest2 which works for Python 2.6 and it is API compatible with 2.7.

Note You need to log in before you can comment on or make changes to this bug.